Bug 1905177 - F34FailsToInstall: python3-zeep
Summary: F34FailsToInstall: python3-zeep
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: python-zeep
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Georg Sauthoff
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1904871
Blocks: F34FailsToInstall PYTHON3.10
TreeView+ depends on / blocked
 
Reported: 2020-12-07 16:44 UTC by Miro Hrončok
Modified: 2020-12-16 00:13 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-12-16 00:00:07 UTC
Type: ---


Attachments (Terms of Use)

Description Miro Hrončok 2020-12-07 16:44:31 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok@redhat.com).

Your package (python-zeep) Fails To Install in Fedora 34:

can't install python3-zeep:
  - nothing provides python3.9dist(requests-file) >= 1.5.1 needed by python3-zeep-4.0.0-1.fc34.noarch
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.

P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors.

P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/rawhide-gating/multi-builds/

Thanks!

Comment 1 Georg Sauthoff 2020-12-14 20:10:25 UTC
So requests-file 1.5.1 is now available in rawhide where it already resolved a dependency issue of another package.

Perhaps it takes some additional time to be available in Copr.

Don't know if your Python 10 test procedure automatically re-triggers the build of python-zeep on newly available dependency versions.

Comment 2 Miro Hrončok 2020-12-16 00:00:07 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok@redhat.com).

All subpackages of a package against which this bug was filled are now installable or removed from Fedora 34.

Thanks for taking care of it!

Comment 3 Miro Hrončok 2020-12-16 00:13:06 UTC
> Don't know if your Python 10 test procedure automatically re-triggers the build of python-zeep on newly available dependency versions.

Nope, I'll take care of it.


Note You need to log in before you can comment on or make changes to this bug.